Page MenuHomePhabricator

Create API Portal MVP
Closed, ResolvedPublic1 Estimated Story Points

Related Objects

StatusSubtypeAssignedTask
Resolved eprodromou
Resolvedapaskulin
ResolvedUrbanecm
Resolvednskaggs
ResolvedReedy
ResolvedBPirkle
Resolvedapaskulin
Resolvedapaskulin
Resolvedapaskulin
Resolvedapaskulin
ResolvedCCicalese_WMF
ResolvedReedy
Resolved eprodromou
ResolvedNone
Resolvedapaskulin
Resolvedapaskulin
Resolved eprodromou
Resolvedapaskulin
ResolvedCCicalese_WMF
ResolvedReedy
DeclinedNone
ResolvedCCicalese_WMF
Resolvedapaskulin
ResolvedKrinkle
ResolvedArt.tsymbar
Resolvedapaskulin
ResolvedReedy
ResolvedPchelolo
ResolvedPchelolo
ResolvedVlad.shapik
ResolvedArt.tsymbar
DeclinedCCicalese_WMF
ResolvedCCicalese_WMF
ResolvedCCicalese_WMF
ResolvedReedy
ResolvedArt.tsymbar
ResolvedReedy
ResolvedGilles
Resolvedapaskulin
ResolvedBPirkle
ResolvedArt.tsymbar
ResolvedArt.tsymbar
Resolvedapaskulin
Resolvedapaskulin
ResolvedArt.tsymbar

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
CCicalese_WMF renamed this task from Create API Portal to Create API Portal MVP.Apr 21 2020, 2:48 PM

Change 596797 had a related patch set uploaded (by Reedy; owner: Reedy):
[integration/config@master] Add mediawiki/skins/WikimediaApiPortal to layout.yaml

https://gerrit.wikimedia.org/r/596797

Change 596797 merged by jenkins-bot:
[integration/config@master] Add mediawiki/skins/WikimediaApiPortal to layout.yaml

https://gerrit.wikimedia.org/r/596797

apaskulin changed the status of subtask T246945: New Public Wiki for the API Portal from Stalled to Open.May 20 2020, 12:37 AM
eprodromou set Due Date to Jun 30 2020, 4:00 AM.May 26 2020, 6:15 PM
This comment was removed by Krinkle.
Krinkle added a subscriber: Krinkle.Jun 4 2020, 2:28 PM
Gilles changed the status of subtask T254951: Performance review of enhancements to OAuth extension from Open to Stalled.
eprodromou renamed this task from Create API Portal MVP to Disallow public access to OAuth client ID management API.Jun 30 2020, 3:00 PM
eprodromou updated the task description. (Show Details)
eprodromou renamed this task from Disallow public access to OAuth client ID management API to Create API Portal MVP.Jun 30 2020, 3:14 PM
eprodromou updated the task description. (Show Details)

Change 608666 had a related patch set uploaded (by Reedy; owner: Reedy):
[translatewiki@master] Enable translation for WikimediaApiPortal skin

https://gerrit.wikimedia.org/r/c/translatewiki/ /608666

Change 608666 merged by jenkins-bot:
[translatewiki@master] Enable translation for WikimediaApiPortal skin

https://gerrit.wikimedia.org/r/c/translatewiki/ /608666

WDoranWMF changed the status of subtask T246945: New Public Wiki for the API Portal from Open to Stalled.Jul 2 2020, 1:02 PM
Ladsgroup changed the status of subtask T246945: New Public Wiki for the API Portal from Stalled to Open.Aug 24 2020, 5:38 PM

The Due Date set for this open task was more than two months ago. Can you please either update or reset the Due Date (by clicking Edit Task)? Thanks.

Moving this onto the Roadmap to track it

Naike set the point value for this task to 1.Oct 2 2020, 9:54 AM
Naike moved this task from Now to Done on the Platform Engineering Roadmap board.Oct 6 2020, 5:11 PM
Naike moved this task from Done to Now on the Platform Engineering Roadmap board.
Naike moved this task from Now to Done on the Platform Engineering Roadmap board.Dec 16 2020, 1:59 PM
apaskulin closed this task as Resolved.Dec 18 2020, 10:50 PM

All components for the API Portal are complete and deployed to production at api.wikimedia.org. We're tracking final end-to-end testing, announcements, and other ongoing work in API-Portal